Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 523913 - initscript collected problems LSB-compilant ypbind
Summary: initscript collected problems LSB-compilant ypbind
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ypbind
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 572921
TreeView+ depends on / blocked
 
Reported: 2009-09-17 07:39 UTC by Jan Ščotka
Modified: 2013-03-03 22:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 572921 (view as bug list)
Environment:
Last Closed: 2010-01-21 21:30:25 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Ščotka 2009-09-17 07:39:50 UTC
There are some problems with LSB-compilants of initscript against
https://fedoraproject.org/wiki/Packaging/SysVInitScript definition.

service: ypbind

I've created some test and there is output of run (PASS menas that it started
correctly, FAIL, that there is some problem with returncode, explanaition in
brackets):

:: [   LOG    ] :: >>>>>>>>> service start
:: [   PASS   ] ::  Service must start without problem
:: [   PASS   ] ::  Then Status command 
:: [   PASS   ] ::  Already started service 
:: [   PASS   ] ::  Again status command 
:: [   LOG    ] :: >>>>>>>>> service restart
:: [   PASS   ] ::  Restarting of service
:: [   PASS   ] ::  Status command 
:: [   LOG    ] :: >>>>>>>>> service stop
:: [   PASS   ] ::  Stopping service 
:: [   PASS   ] ::  Status of stopped service 
:: [   PASS   ] ::  Stopping service again 
:: [   PASS   ] ::  Status of stopped service 
:: [   LOG    ] :: >>>>>>>>> pid file
:: [   PASS   ] :: starting of service for testing if pid file is created
:: [   PASS   ] :: File /var/run/ypbind.pid should exist
:: [   PASS   ] :: Running 'echo 666666 > /var/run/ypbind.pid'
:: [   PASS   ] ::  Existing pid file, but service not started 
:: [   LOG    ] :: >>>>>>>>> lock file
:: [   PASS   ] :: File /var/lock/subsys/ypbind should exist
:: [   PASS   ] :: Running 'touch /var/lock/subsys/ypbind'
:: [   PASS   ] ::  Existing lock file, but service not started 
:: [   LOG    ] :: >>>>>>>>> insufficient rights
:: [   PASS   ] ::  Starting service for restarting under nonpriv user 
:: [   FAIL   ] :: Insufficient rights, restarting resrvice under nonprivileged user must fail (Expected 4, got 0)
:: [   LOG    ] :: >>>>>>>>> operations
:: [   PASS   ] ::  Service have to implement start function 
:: [   PASS   ] ::  Service have to implement restart function 
:: [   PASS   ] ::  Service have to implement status function 
:: [   FAIL   ] ::  Service have to implement usage function  (Expected 0, got 3)
:: [   PASS   ] ::  Service have to implement condrestart function 
:: [   PASS   ] ::  Service have to implement try-restart function 
:: [   PASS   ] ::  Service have to implement reload function 
:: [   PASS   ] ::  Service have to implement force-reload function 
:: [   LOG    ] :: >>>>>>>>> nonexist operations
:: [   FAIL   ] ::  Testing proper return code when nonexisting function (Expected 2, got 3)
:: [   LOG    ] :: >>>>>>>>> invalid arguments
:: [   FAIL   ] ::  When no arguments added to service, it must fail with proper return code  (Expected 2, got 3)


There are some problems:
* working under unprevileged user must return 4
* it should implement usage, functions, but returned proper state 3 (it is okay)
* when is used bad function or none, that it must return code 2  (3 is intend for case (reload, ...) which are needed but not implemented.

Comment 1 Bug Zapper 2009-11-16 12:32:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Karel Klíč 2010-01-21 21:30:25 UTC
Fixed in Rawhide.

Comment 6 Jan Ščotka 2010-03-12 11:06:22 UTC
Hi,
I tested version ypbind-1.20.4-21.el6.x86_64
what is lastest rel-eng build.

from
http://download.englab.brq.redhat.com/pub/rhel/rel-eng/RHEL6.0-20100311.1/6/AP/x86_64/os/Packages/ypbind-1.20.4-21.el6.x86_64.rpm

Comment 7 Jan Ščotka 2010-03-12 12:36:22 UTC
working also in RHEL6, see bug:
https://bugzilla.redhat.com/show_bug.cgi?id=572921

So Verified


Note You need to log in before you can comment on or make changes to this bug.